## About Staple-Server
This is a live browser variant of Staple, giving you an immediate way of viewing documentation for all currently loaded systems.

## How To
Load `staple-server` and start it up:

    (staple-server:start)

It should print the address of the server to your REPL. Simply paste it into your browser and you should be greeted with a systems index. The documentation for each system is generated on demand, so the first time you click on a system, it might take a bit to load it.

When you're done and want to stop the server, you can simply run

    (staple-server:stop)

The server keeps a cache of generated documentation in the system's temporary directory, so the cache will be automatically deleted once you reboot. If you would like to delete the cache immediately, you can run `clear-cache`.

## Assumptions About Generated Documentation
The server makes some assumptions about how the documentation of a system is generated. If the system does not customise staple, this is no problem. However, for systems that might customise it a lot, these assumptions might matter. The assumptions are as follows:

* The documentation output is HTML files.
* The links within the HTML are either relative or `file://` URLs.
* All files generated by the documentation are within the `:output-directory`.
* There is an `index.html` file directly within the `:output-directory` that shows the entry page for the system's documentation.
